# Glib::Variant< guint64 > Class Template Reference
[Variant Datatype]

Specialization of Glib::Variant containing a guint64 type. More...

`#include <glibmm/variant_basictypes.h>`

Inheritance diagram for Glib::Variant< guint64 >:
[legend]

List of all members.

## Public Types

typedef guint64 | CType

## Public Member Functions

| Variant ()
| Default constructor.
| Variant (GVariant* castitem)
| GVariant constructor.
guint64 | get () const
| Gets the value of the Glib::Variant<guint64>.

## Static Public Member Functions

static const GVariantType* | variant_type ()
| Gets the GVariantType.
static Variant< guint64 > | create (guint64 data)
| Creates a new Glib::Variant<guint64>.

## Detailed Description

### template <>
class Glib::Variant< guint64 >

Specialization of Glib::Variant containing a guint64 type.

Since glibmm 2.26:

## Member Typedef Documentation

typedef guint64 Glib::Variant< guint64 >::CType

## Constructor & Destructor Documentation

Glib::Variant< guint64 >::Variant | ( |  | ) | `[inline]`

Default constructor.

Glib::Variant< guint64 >::Variant | ( | GVariant< guint64 > * | castitem | ) | `[inline, explicit]`

GVariant constructor.

Parameters:

  | castitem | The GVariant to wrap.

## Member Function Documentation

static Variant<guint64> Glib::Variant< guint64 >::create | ( | guint64 | data | ) | `[static]`

Creates a new Glib::Variant<guint64>.

Parameters:

  | data | The value of the new Glib::Variant<guint64>.

Returns:
  The new Glib::Variant<guint64>.

guint64 Glib::Variant< guint64 >::get | ( |  | ) | const

Gets the value of the Glib::Variant<guint64>.

Returns:
  The guint64 value of the Glib::Variant<guint64>.

static const GVariantType* Glib::Variant< guint64 >::variant_type | ( |  | ) | `[static]`

Gets the GVariantType.

Returns:
  The GVariantType.